This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 965543 - Username created through Full name doesn't check username requirements
Username created through Full name doesn't check username requirements
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-21 06:51 EDT by Martin Banas
Modified: 2014-01-30 17:05 EST (History)
8 users (show)

See Also:
Fixed In Version: anaconda-20.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-30 17:05:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (12.87 KB, image/png)
2013-05-21 06:51 EDT, Martin Banas
no flags Details
anaconda.log (2.96 KB, text/plain)
2013-05-21 06:52 EDT, Martin Banas
no flags Details
ifcfg.log (486 bytes, text/plain)
2013-05-21 06:52 EDT, Martin Banas
no flags Details
packaging.log (11.44 KB, text/plain)
2013-05-21 06:52 EDT, Martin Banas
no flags Details
program.log (16.74 KB, text/plain)
2013-05-21 06:52 EDT, Martin Banas
no flags Details
screenshot.png (12.87 KB, image/png)
2013-05-21 06:52 EDT, Martin Banas
no flags Details
storage.log (52.99 KB, text/plain)
2013-05-21 06:52 EDT, Martin Banas
no flags Details
storage.state (20.00 KB, application/octet-stream)
2013-05-21 06:52 EDT, Martin Banas
no flags Details
syslog (66.68 KB, text/plain)
2013-05-21 06:52 EDT, Martin Banas
no flags Details

  None (edit)
Description Martin Banas 2013-05-21 06:51:12 EDT
Created attachment 750983 [details]
screenshot

Description of problem:
'Full name' doesn't check username requirements, it's possible to create username 'j/ohn' and similar, when using "Full name"

Version-Release number of selected component (if applicable):
Fedora-19-Beta-RC2
anaconda-19.28

How reproducible:
always

Steps to Reproduce:
1. Start text mode installation
2. Go to "Create user"
3. Select Full name
4. Write j/ohn or similar (invalid) username

Actual results:
Anaconda doesn't take requirements for username when creating username from "Full name"

Expected results:
Anaconda should not allow invalid usernames, like 'j/ohn'.

Additional info:
Comment 1 Martin Banas 2013-05-21 06:52:11 EDT
Created attachment 750984 [details]
anaconda.log
Comment 2 Martin Banas 2013-05-21 06:52:16 EDT
Created attachment 750985 [details]
ifcfg.log
Comment 3 Martin Banas 2013-05-21 06:52:21 EDT
Created attachment 750986 [details]
packaging.log
Comment 4 Martin Banas 2013-05-21 06:52:26 EDT
Created attachment 750987 [details]
program.log
Comment 5 Martin Banas 2013-05-21 06:52:31 EDT
Created attachment 750988 [details]
screenshot.png
Comment 6 Martin Banas 2013-05-21 06:52:42 EDT
Created attachment 750989 [details]
storage.log
Comment 7 Martin Banas 2013-05-21 06:52:52 EDT
Created attachment 750990 [details]
storage.state
Comment 8 Martin Banas 2013-05-21 06:52:58 EDT
Created attachment 750991 [details]
syslog
Comment 9 tolarewa 2013-05-29 11:26:14 EDT
patch pushed
Comment 10 Adam Williamson 2013-05-29 22:32:05 EDT
Pushed where? I don't see this in the anaconda master commit logs, unless it has a weird commit message - I looked for commits referencing this bug ID or with 'user' in their commit message...
Comment 11 tolarewa 2013-05-30 09:12:28 EDT
*patch posted to anaconda for review

Note You need to log in before you can comment on or make changes to this bug.